var BiplaneGame = function(){	
if (typeof Float32Array === 'undefined'){
 new Controller(0,null,null,null);
 return;
}
this.sType = "biplane";
this.nIncrement = Number(10);
this.nMaxZoom = Number(3.0);
this.nMaxRotationX = Number(2.0);
this.aColorEntity = new Array();

this.N_QUESTION_MAX = Number(10);

this.A_ROTATION_Y = [0,0,1];
 
this.MATRIX_DEFAULT = mat4.create();
 
mat4.identity(
this.MATRIX_DEFAULT
);

this.model  = new BiPlane();
 
mat4.translate(
this.MATRIX_DEFAULT,
[0,128,-1024]
);

mat4.scale(
this.MATRIX_DEFAULT,
[1.1,1.1,1.1]
);

mat4.rotate(
this.MATRIX_DEFAULT,
Math.PI * - 0.5,
[1,0,0]
);	

this.aShuffles = ([
[9,1,2,3,4, 
6,7,8,0,5 
],
 
[5,7,8,2,6,  
3,0,1,4,9, 
],
 
[4,3,9,7,1, 
5,8,6,0,2
],
 
[6,7,5,0,1,  
2,3,9,4,8, 
],
]);

this.ceCreateArray();

};

BiplaneGame.prototype = {
		
ceCreateArray: function(){
var ec = new ColorEntity("the cockpit",1);
ec.nR = 245;
ec.nG = 32;
ec.nB = 32;
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the fuselage",2);
ec.nR = 49;
ec.nG = 125;
ec.nB = 76;
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the propellers",3);
ec.nR = 193;
ec.nG = 113;
ec.nB = 28; 
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the struts",4);
ec.nR = 192;
ec.nG = 2;
ec.nB = 34;
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the landing gear",5);
ec.nR = 27;
ec.nG = 57;
ec.nB = 102;
this.aColorEntity.push(ec);   
 
ec = new ColorEntity("the upper plane, aileron",6);
ec.nR = 218;
ec.nG = 5;
ec.nB = 151;
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the elevator with fixed tail plane",7);
ec.nR = 7;
ec.nG = 106;
ec.nB = 91;
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the spinner",8);
ec.nR = 75;
ec.nG = 143;
ec.nB = 205;
this.aColorEntity.push(ec);  
  
ec = new ColorEntity("the lower wing aileron",9);
ec.nR = 34;
ec.nG = 141;
ec.nB = 145;
this.aColorEntity.push(ec); 
 
ec = new ColorEntity("the vertical fin with rudder",10);
ec.nR = 15;
ec.nG = 21;
ec.nB = 152;
this.aColorEntity.push(ec); 
}
	
};
