var GlobeGame = function(){
if (typeof Float32Array === 'undefined'){
 new Controller(0,null,null,null);
 return;
}
this.sType = "globe";
this.nIncrement = Number(5);
this.nMaxZoom = Number(2.9);
this.nMaxRotationX = Number(1.5);
this.aColorEntity = new Array();
this.N_QUESTION_MAX = Number(20);

this.A_ROTATION_Y = [0,0,1];

this.MATRIX_DEFAULT = mat4.create();
 
mat4.identity(
this.MATRIX_DEFAULT
);

this.model  = new Globe();
 
mat4.translate(
this.MATRIX_DEFAULT,
[0,0,-256]
);

mat4.rotate(
this.MATRIX_DEFAULT,
Math.PI * -0.5,
[1,0,0]
);	

this.aShuffles = ([
[19,1,2,3,4, 
18,6,7,8,9, 
10,11,12,13,14, 
15,16,17,5,0],
   
[0,7,17,16,15,  
14,13,12,11,10, 
9,8,18,6,5, 
4,3,2,1,19],
   
[4,3,19,2,1, 
9,8,6,5,7, 
13,14,11,10,12, 
0,17,15,16,18],
   
[16,17,15,0,11,  
12,13,10,14,18, 
7,5,6,8,9, 
3,1,19,4,2],
]);

this.ceCreateArray();

};

GlobeGame.prototype = {
		
ceCreateArray: function(){
var ec = new ColorEntity("Chad",1);
ec.nR = 0;
ec.nG = 156;
ec.nB = 115;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("Canada",2);
ec.nR = 84;
ec.nG = 84;
ec.nB = 228;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("Norway",3);
ec.nR = 181;
ec.nG = 99;
ec.nB = 231; 
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("China",4);
ec.nR = 90;
ec.nG = 231;
ec.nB = 99;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("Argentina",5);
ec.nR = 165;
ec.nG = 247;
ec.nB = 148;
this.aColorEntity.push(ec);  
		 
ec = new ColorEntity("Brazil",6);
ec.nR = 247;
ec.nG = 123;
ec.nB = 247;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("Mexico",7);
ec.nR = 189;
ec.nG = 90;
ec.nB = 189;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("Iraq",8);
ec.nR = 246;
ec.nG = 213;
ec.nB = 172;
this.aColorEntity.push(ec);
		 
		  
ec = new ColorEntity("Japan",9);
ec.nR = 0;
ec.nG = 239;
ec.nB = 132;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("India",10);
ec.nR = 41;
ec.nG = 139;
ec.nB = 0;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("the USA",11);
ec.nR = 13;
ec.nG = 143;
ec.nB = 243;
this.aColorEntity.push(ec);
			
ec = new ColorEntity("Australia",12);
ec.nR = 16;
ec.nG = 239;
ec.nB = 115;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("Sweden",13);
ec.nR = 254;
ec.nG = 182;
ec.nB = 146;
this.aColorEntity.push(ec);
		 
ec = new ColorEntity("Mali",14);
ec.nR = 255;
ec.nG = 247;
ec.nB = 155;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("Ethiopia",15);
ec.nR = 122;
ec.nG = 57;
ec.nB = 198;
this.aColorEntity.push(ec);  
		 
ec = new ColorEntity("Nigeria",16);
ec.nR = 239;
ec.nG = 83;
ec.nB = 24;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("Senegal",17);
ec.nR = 173;
ec.nG = 255;
ec.nB = 107;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("Kazakhstan",18);
ec.nR = 247;
ec.nG = 24;
ec.nB = 74;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("Russia",19);
ec.nR = 143;
ec.nG = 126;
ec.nB = 205;
this.aColorEntity.push(ec); 
		 
ec = new ColorEntity("South Africa",20);
ec.nR = 198;
ec.nG = 140;
ec.nB = 222;
this.aColorEntity.push(ec); 
},
	
};
